API referenceDiscord
PATCH /discord/guilds/{guildId}/roles/{roleId}
Edit a role: at least one of name, color, hoist, mentionable, permissions
PATCH
BearerAuthheader
AuthorizationBearer <token>API key sk_...
guildId*stringDiscord server (guild) id
roleId*stringRole id
accountId*stringDiscord account id bound to this server (or the channel's server)
application/json- body
name?stringLength
length <= 100color?integerRange
0 <= value <= 16777215hoist?booleanmentionable?booleanpermissions?stringBitfield as a string of digits
{data}
application/json- response
data?curl -X PATCH 'https://example.com/api/v1/discord/guilds/string/roles/string?accountId=string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "data": { "id": "string", "name": "string", "color": 0, "position": 0, "permissions": "string", "managed": true, "mentionable": true, "hoist": true }}